Class | TkNamespace::NsCode
In: | tk/lib/tk/namespace.rb
Parent: | TkObject

### Methods

call new path to_eval

### Public Class methods

new(scope)

[Source]

    # File tk/lib/tk/namespace.rb, line 143
        def initialize(scope)
          @scope = scope + ' '
        end

### Public Instance methods

call(*args)

[Source]

    # File tk/lib/tk/namespace.rb, line 152
        def call(*args)
          TkCore::INTERP._eval_without_enc(@scope + array2tk_list(args))
        end

path()

[Source]

    # File tk/lib/tk/namespace.rb, line 146
        def path
          @scope
        end

to_eval()

[Source]

    # File tk/lib/tk/namespace.rb, line 149
        def to_eval
          @scope
        end

[Validate]